New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Account

Get usage

GET
/v1/usage

Returns your plan and the tokens used this period.

Authorization

bearer
headerAuthorizationBearer <API key>

An API key from Settings, starting vcp_live_.

Response Body

OK.

application/json
  1. response
tier*string
Value in"free""starter""premium"
tokens_used*integer

Tokens used this period.

Range0 <= value
tokens_limit*integer

Tokens included in the plan each period.

Range0 <= value
period_start*string

When this token period started.

Formatdate-time
period_end*string

When this token period ends and the next one starts.

Formatdate-time
Example Request
curl -X GET 'https://api.vcp.name/v1/usage'
Example Response
{  "tier": "premium",  "tokens_used": 188586,  "tokens_limit": 1500000,  "period_start": "2026-10-01T00:00:00.000Z",  "period_end": "2026-11-01T00:00:00.000Z"}